#include <iostream>

using namespace std;

int main()
{
    long long n; int k;
    scanf("%lld %d", &n, &k);
    int a[k];
    for (int i=0; i<k; i++) scanf("%d", &a[i]);
    for (int i=0; i<k; i++) {
        long long x = 0;
        for (int j=0; j<k; j++) {
            if (a[i]%a[j]==0) x = x^a[j];
        }
        printf("%lld ", x);
    }
    return 0;
}